/**
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.methodName;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.xtext.example.methodname.methodName.MethodNameFactory
 * @model kind="package"
 * @generated
 */
public interface MethodNamePackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "methodName";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.xtext.org/example/methodname/MethodName";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "methodName";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  MethodNamePackage eINSTANCE = org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl.init();

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.ModelImpl <em>Model</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.ModelImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getModel()
   * @generated
   */
  int MODEL = 0;

  /**
   * The feature id for the '<em><b>Declarations</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODEL__DECLARATIONS = 0;

  /**
   * The feature id for the '<em><b>Fixed Declarations</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODEL__FIXED_DECLARATIONS = 1;

  /**
   * The feature id for the '<em><b>Rules</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODEL__RULES = 2;

  /**
   * The feature id for the '<em><b>Elements</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODEL__ELEMENTS = 3;

  /**
   * The number of structural features of the '<em>Model</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODEL_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.DeclarationImpl <em>Declaration</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.DeclarationImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getDeclaration()
   * @generated
   */
  int DECLARATION = 1;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DECLARATION__NAME = 0;

  /**
   * The feature id for the '<em><b>Path</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DECLARATION__PATH = 1;

  /**
   * The number of structural features of the '<em>Declaration</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int DECLARATION_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.FixedDeclarationImpl <em>Fixed Declaration</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.FixedDeclarationImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getFixedDeclaration()
   * @generated
   */
  int FIXED_DECLARATION = 2;

  /**
   * The feature id for the '<em><b>Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIXED_DECLARATION__KIND = 0;

  /**
   * The feature id for the '<em><b>Path</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIXED_DECLARATION__PATH = 1;

  /**
   * The number of structural features of the '<em>Fixed Declaration</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FIXED_DECLARATION_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.RuleImpl <em>Rule</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.RuleImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getRule()
   * @generated
   */
  int RULE = 3;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RULE__NAME = 0;

  /**
   * The feature id for the '<em><b>Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RULE__KIND = 1;

  /**
   * The feature id for the '<em><b>Decls</b></em>' reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RULE__DECLS = 2;

  /**
   * The feature id for the '<em><b>Comp Op</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RULE__COMP_OP = 3;

  /**
   * The feature id for the '<em><b>Comp Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RULE__COMP_VALUE = 4;

  /**
   * The number of structural features of the '<em>Rule</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RULE_FEATURE_COUNT = 5;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.CaseImpl <em>Case</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.CaseImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getCase()
   * @generated
   */
  int CASE = 4;

  /**
   * The feature id for the '<em><b>Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CASE__KIND = 0;

  /**
   * The feature id for the '<em><b>Condition</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CASE__CONDITION = 1;

  /**
   * The feature id for the '<em><b>Properties</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CASE__PROPERTIES = 2;

  /**
   * The number of structural features of the '<em>Case</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int CASE_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.ExprImpl <em>Expr</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.ExprImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getExpr()
   * @generated
   */
  int EXPR = 5;

  /**
   * The number of structural features of the '<em>Expr</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int EXPR_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.GroupExprImpl <em>Group Expr</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.GroupExprImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getGroupExpr()
   * @generated
   */
  int GROUP_EXPR = 6;

  /**
   * The feature id for the '<em><b>Has Not</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int GROUP_EXPR__HAS_NOT = EXPR_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Expr</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int GROUP_EXPR__EXPR = EXPR_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Card</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int GROUP_EXPR__CARD = EXPR_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>Group Expr</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int GROUP_EXPR_FEATURE_COUNT = EXPR_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.PropertyImpl <em>Property</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.PropertyImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getProperty()
   * @generated
   */
  int PROPERTY = 7;

  /**
   * The feature id for the '<em><b>Frequency</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY__FREQUENCY = 0;

  /**
   * The feature id for the '<em><b>Criterion</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY__CRITERION = 1;

  /**
   * The number of structural features of the '<em>Property</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int PROPERTY_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.OrImpl <em>Or</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.OrImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getOr()
   * @generated
   */
  int OR = 8;

  /**
   * The feature id for the '<em><b>Left</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OR__LEFT = EXPR_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Right</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OR__RIGHT = EXPR_FEATURE_COUNT + 1;

  /**
   * The number of structural features of the '<em>Or</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int OR_FEATURE_COUNT = EXPR_FEATURE_COUNT + 2;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.AndImpl <em>And</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.AndImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getAnd()
   * @generated
   */
  int AND = 9;

  /**
   * The feature id for the '<em><b>Left</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AND__LEFT = EXPR_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Concat Kind</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AND__CONCAT_KIND = EXPR_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Right</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AND__RIGHT = EXPR_FEATURE_COUNT + 2;

  /**
   * The number of structural features of the '<em>And</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int AND_FEATURE_COUNT = EXPR_FEATURE_COUNT + 3;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.StringConstImpl <em>String Const</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.StringConstImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getStringConst()
   * @generated
   */
  int STRING_CONST = 10;

  /**
   * The feature id for the '<em><b>Has Not</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int STRING_CONST__HAS_NOT = EXPR_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int STRING_CONST__VALUE = EXPR_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Card</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int STRING_CONST__CARD = EXPR_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Sentiment</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int STRING_CONST__SENTIMENT = EXPR_FEATURE_COUNT + 3;

  /**
   * The number of structural features of the '<em>String Const</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int STRING_CONST_FEATURE_COUNT = EXPR_FEATURE_COUNT + 4;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.POSValueImpl <em>POS Value</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.POSValueImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getPOSValue()
   * @generated
   */
  int POS_VALUE = 11;

  /**
   * The feature id for the '<em><b>Has Not</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int POS_VALUE__HAS_NOT = EXPR_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Pos</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int POS_VALUE__POS = EXPR_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Card</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int POS_VALUE__CARD = EXPR_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Sentiment</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int POS_VALUE__SENTIMENT = EXPR_FEATURE_COUNT + 3;

  /**
   * The number of structural features of the '<em>POS Value</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int POS_VALUE_FEATURE_COUNT = EXPR_FEATURE_COUNT + 4;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.impl.SynonymConstImpl <em>Synonym Const</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.impl.SynonymConstImpl
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getSynonymConst()
   * @generated
   */
  int SYNONYM_CONST = 12;

  /**
   * The feature id for the '<em><b>Has Not</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SYNONYM_CONST__HAS_NOT = EXPR_FEATURE_COUNT + 0;

  /**
   * The feature id for the '<em><b>Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SYNONYM_CONST__VALUE = EXPR_FEATURE_COUNT + 1;

  /**
   * The feature id for the '<em><b>Card</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SYNONYM_CONST__CARD = EXPR_FEATURE_COUNT + 2;

  /**
   * The feature id for the '<em><b>Sentiment</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SYNONYM_CONST__SENTIMENT = EXPR_FEATURE_COUNT + 3;

  /**
   * The number of structural features of the '<em>Synonym Const</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SYNONYM_CONST_FEATURE_COUNT = EXPR_FEATURE_COUNT + 4;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.Kind <em>Kind</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.Kind
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getKind()
   * @generated
   */
  int KIND = 13;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.Sentiment <em>Sentiment</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.Sentiment
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getSentiment()
   * @generated
   */
  int SENTIMENT = 14;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.POS <em>POS</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.POS
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getPOS()
   * @generated
   */
  int POS = 15;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.CardinalityModifier <em>Cardinality Modifier</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.CardinalityModifier
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getCardinalityModifier()
   * @generated
   */
  int CARDINALITY_MODIFIER = 16;

  /**
   * The meta object id for the '{@link org.xtext.example.methodname.methodName.Frequency <em>Frequency</em>}' enum.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.example.methodname.methodName.Frequency
   * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getFrequency()
   * @generated
   */
  int FREQUENCY = 17;


  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.Model <em>Model</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Model</em>'.
   * @see org.xtext.example.methodname.methodName.Model
   * @generated
   */
  EClass getModel();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.example.methodname.methodName.Model#getDeclarations <em>Declarations</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Declarations</em>'.
   * @see org.xtext.example.methodname.methodName.Model#getDeclarations()
   * @see #getModel()
   * @generated
   */
  EReference getModel_Declarations();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.example.methodname.methodName.Model#getFixedDeclarations <em>Fixed Declarations</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Fixed Declarations</em>'.
   * @see org.xtext.example.methodname.methodName.Model#getFixedDeclarations()
   * @see #getModel()
   * @generated
   */
  EReference getModel_FixedDeclarations();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.example.methodname.methodName.Model#getRules <em>Rules</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Rules</em>'.
   * @see org.xtext.example.methodname.methodName.Model#getRules()
   * @see #getModel()
   * @generated
   */
  EReference getModel_Rules();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.example.methodname.methodName.Model#getElements <em>Elements</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Elements</em>'.
   * @see org.xtext.example.methodname.methodName.Model#getElements()
   * @see #getModel()
   * @generated
   */
  EReference getModel_Elements();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.Declaration <em>Declaration</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Declaration</em>'.
   * @see org.xtext.example.methodname.methodName.Declaration
   * @generated
   */
  EClass getDeclaration();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.Declaration#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.xtext.example.methodname.methodName.Declaration#getName()
   * @see #getDeclaration()
   * @generated
   */
  EAttribute getDeclaration_Name();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.Declaration#getPath <em>Path</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Path</em>'.
   * @see org.xtext.example.methodname.methodName.Declaration#getPath()
   * @see #getDeclaration()
   * @generated
   */
  EAttribute getDeclaration_Path();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.FixedDeclaration <em>Fixed Declaration</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Fixed Declaration</em>'.
   * @see org.xtext.example.methodname.methodName.FixedDeclaration
   * @generated
   */
  EClass getFixedDeclaration();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.FixedDeclaration#getKind <em>Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Kind</em>'.
   * @see org.xtext.example.methodname.methodName.FixedDeclaration#getKind()
   * @see #getFixedDeclaration()
   * @generated
   */
  EAttribute getFixedDeclaration_Kind();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.FixedDeclaration#getPath <em>Path</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Path</em>'.
   * @see org.xtext.example.methodname.methodName.FixedDeclaration#getPath()
   * @see #getFixedDeclaration()
   * @generated
   */
  EAttribute getFixedDeclaration_Path();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.Rule <em>Rule</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Rule</em>'.
   * @see org.xtext.example.methodname.methodName.Rule
   * @generated
   */
  EClass getRule();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.Rule#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.xtext.example.methodname.methodName.Rule#getName()
   * @see #getRule()
   * @generated
   */
  EAttribute getRule_Name();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.Rule#getKind <em>Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Kind</em>'.
   * @see org.xtext.example.methodname.methodName.Rule#getKind()
   * @see #getRule()
   * @generated
   */
  EAttribute getRule_Kind();

  /**
   * Returns the meta object for the reference list '{@link org.xtext.example.methodname.methodName.Rule#getDecls <em>Decls</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference list '<em>Decls</em>'.
   * @see org.xtext.example.methodname.methodName.Rule#getDecls()
   * @see #getRule()
   * @generated
   */
  EReference getRule_Decls();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.Rule#getCompOp <em>Comp Op</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Comp Op</em>'.
   * @see org.xtext.example.methodname.methodName.Rule#getCompOp()
   * @see #getRule()
   * @generated
   */
  EAttribute getRule_CompOp();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.Rule#getCompValue <em>Comp Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Comp Value</em>'.
   * @see org.xtext.example.methodname.methodName.Rule#getCompValue()
   * @see #getRule()
   * @generated
   */
  EAttribute getRule_CompValue();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.Case <em>Case</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Case</em>'.
   * @see org.xtext.example.methodname.methodName.Case
   * @generated
   */
  EClass getCase();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.Case#getKind <em>Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Kind</em>'.
   * @see org.xtext.example.methodname.methodName.Case#getKind()
   * @see #getCase()
   * @generated
   */
  EAttribute getCase_Kind();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.example.methodname.methodName.Case#getCondition <em>Condition</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Condition</em>'.
   * @see org.xtext.example.methodname.methodName.Case#getCondition()
   * @see #getCase()
   * @generated
   */
  EReference getCase_Condition();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.example.methodname.methodName.Case#getProperties <em>Properties</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Properties</em>'.
   * @see org.xtext.example.methodname.methodName.Case#getProperties()
   * @see #getCase()
   * @generated
   */
  EReference getCase_Properties();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.Expr <em>Expr</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Expr</em>'.
   * @see org.xtext.example.methodname.methodName.Expr
   * @generated
   */
  EClass getExpr();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.GroupExpr <em>Group Expr</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Group Expr</em>'.
   * @see org.xtext.example.methodname.methodName.GroupExpr
   * @generated
   */
  EClass getGroupExpr();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.GroupExpr#isHasNot <em>Has Not</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Has Not</em>'.
   * @see org.xtext.example.methodname.methodName.GroupExpr#isHasNot()
   * @see #getGroupExpr()
   * @generated
   */
  EAttribute getGroupExpr_HasNot();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.example.methodname.methodName.GroupExpr#getExpr <em>Expr</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Expr</em>'.
   * @see org.xtext.example.methodname.methodName.GroupExpr#getExpr()
   * @see #getGroupExpr()
   * @generated
   */
  EReference getGroupExpr_Expr();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.GroupExpr#getCard <em>Card</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Card</em>'.
   * @see org.xtext.example.methodname.methodName.GroupExpr#getCard()
   * @see #getGroupExpr()
   * @generated
   */
  EAttribute getGroupExpr_Card();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.Property <em>Property</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Property</em>'.
   * @see org.xtext.example.methodname.methodName.Property
   * @generated
   */
  EClass getProperty();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.Property#getFrequency <em>Frequency</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Frequency</em>'.
   * @see org.xtext.example.methodname.methodName.Property#getFrequency()
   * @see #getProperty()
   * @generated
   */
  EAttribute getProperty_Frequency();

  /**
   * Returns the meta object for the reference '{@link org.xtext.example.methodname.methodName.Property#getCriterion <em>Criterion</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the reference '<em>Criterion</em>'.
   * @see org.xtext.example.methodname.methodName.Property#getCriterion()
   * @see #getProperty()
   * @generated
   */
  EReference getProperty_Criterion();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.Or <em>Or</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Or</em>'.
   * @see org.xtext.example.methodname.methodName.Or
   * @generated
   */
  EClass getOr();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.example.methodname.methodName.Or#getLeft <em>Left</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Left</em>'.
   * @see org.xtext.example.methodname.methodName.Or#getLeft()
   * @see #getOr()
   * @generated
   */
  EReference getOr_Left();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.example.methodname.methodName.Or#getRight <em>Right</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Right</em>'.
   * @see org.xtext.example.methodname.methodName.Or#getRight()
   * @see #getOr()
   * @generated
   */
  EReference getOr_Right();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.And <em>And</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>And</em>'.
   * @see org.xtext.example.methodname.methodName.And
   * @generated
   */
  EClass getAnd();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.example.methodname.methodName.And#getLeft <em>Left</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Left</em>'.
   * @see org.xtext.example.methodname.methodName.And#getLeft()
   * @see #getAnd()
   * @generated
   */
  EReference getAnd_Left();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.And#getConcatKind <em>Concat Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Concat Kind</em>'.
   * @see org.xtext.example.methodname.methodName.And#getConcatKind()
   * @see #getAnd()
   * @generated
   */
  EAttribute getAnd_ConcatKind();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.example.methodname.methodName.And#getRight <em>Right</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Right</em>'.
   * @see org.xtext.example.methodname.methodName.And#getRight()
   * @see #getAnd()
   * @generated
   */
  EReference getAnd_Right();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.StringConst <em>String Const</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>String Const</em>'.
   * @see org.xtext.example.methodname.methodName.StringConst
   * @generated
   */
  EClass getStringConst();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.StringConst#isHasNot <em>Has Not</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Has Not</em>'.
   * @see org.xtext.example.methodname.methodName.StringConst#isHasNot()
   * @see #getStringConst()
   * @generated
   */
  EAttribute getStringConst_HasNot();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.StringConst#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Value</em>'.
   * @see org.xtext.example.methodname.methodName.StringConst#getValue()
   * @see #getStringConst()
   * @generated
   */
  EAttribute getStringConst_Value();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.StringConst#getCard <em>Card</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Card</em>'.
   * @see org.xtext.example.methodname.methodName.StringConst#getCard()
   * @see #getStringConst()
   * @generated
   */
  EAttribute getStringConst_Card();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.StringConst#getSentiment <em>Sentiment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Sentiment</em>'.
   * @see org.xtext.example.methodname.methodName.StringConst#getSentiment()
   * @see #getStringConst()
   * @generated
   */
  EAttribute getStringConst_Sentiment();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.POSValue <em>POS Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>POS Value</em>'.
   * @see org.xtext.example.methodname.methodName.POSValue
   * @generated
   */
  EClass getPOSValue();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.POSValue#isHasNot <em>Has Not</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Has Not</em>'.
   * @see org.xtext.example.methodname.methodName.POSValue#isHasNot()
   * @see #getPOSValue()
   * @generated
   */
  EAttribute getPOSValue_HasNot();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.POSValue#getPos <em>Pos</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Pos</em>'.
   * @see org.xtext.example.methodname.methodName.POSValue#getPos()
   * @see #getPOSValue()
   * @generated
   */
  EAttribute getPOSValue_Pos();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.POSValue#getCard <em>Card</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Card</em>'.
   * @see org.xtext.example.methodname.methodName.POSValue#getCard()
   * @see #getPOSValue()
   * @generated
   */
  EAttribute getPOSValue_Card();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.POSValue#getSentiment <em>Sentiment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Sentiment</em>'.
   * @see org.xtext.example.methodname.methodName.POSValue#getSentiment()
   * @see #getPOSValue()
   * @generated
   */
  EAttribute getPOSValue_Sentiment();

  /**
   * Returns the meta object for class '{@link org.xtext.example.methodname.methodName.SynonymConst <em>Synonym Const</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Synonym Const</em>'.
   * @see org.xtext.example.methodname.methodName.SynonymConst
   * @generated
   */
  EClass getSynonymConst();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.SynonymConst#isHasNot <em>Has Not</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Has Not</em>'.
   * @see org.xtext.example.methodname.methodName.SynonymConst#isHasNot()
   * @see #getSynonymConst()
   * @generated
   */
  EAttribute getSynonymConst_HasNot();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.SynonymConst#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Value</em>'.
   * @see org.xtext.example.methodname.methodName.SynonymConst#getValue()
   * @see #getSynonymConst()
   * @generated
   */
  EAttribute getSynonymConst_Value();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.SynonymConst#getCard <em>Card</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Card</em>'.
   * @see org.xtext.example.methodname.methodName.SynonymConst#getCard()
   * @see #getSynonymConst()
   * @generated
   */
  EAttribute getSynonymConst_Card();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.example.methodname.methodName.SynonymConst#getSentiment <em>Sentiment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Sentiment</em>'.
   * @see org.xtext.example.methodname.methodName.SynonymConst#getSentiment()
   * @see #getSynonymConst()
   * @generated
   */
  EAttribute getSynonymConst_Sentiment();

  /**
   * Returns the meta object for enum '{@link org.xtext.example.methodname.methodName.Kind <em>Kind</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Kind</em>'.
   * @see org.xtext.example.methodname.methodName.Kind
   * @generated
   */
  EEnum getKind();

  /**
   * Returns the meta object for enum '{@link org.xtext.example.methodname.methodName.Sentiment <em>Sentiment</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Sentiment</em>'.
   * @see org.xtext.example.methodname.methodName.Sentiment
   * @generated
   */
  EEnum getSentiment();

  /**
   * Returns the meta object for enum '{@link org.xtext.example.methodname.methodName.POS <em>POS</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>POS</em>'.
   * @see org.xtext.example.methodname.methodName.POS
   * @generated
   */
  EEnum getPOS();

  /**
   * Returns the meta object for enum '{@link org.xtext.example.methodname.methodName.CardinalityModifier <em>Cardinality Modifier</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Cardinality Modifier</em>'.
   * @see org.xtext.example.methodname.methodName.CardinalityModifier
   * @generated
   */
  EEnum getCardinalityModifier();

  /**
   * Returns the meta object for enum '{@link org.xtext.example.methodname.methodName.Frequency <em>Frequency</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for enum '<em>Frequency</em>'.
   * @see org.xtext.example.methodname.methodName.Frequency
   * @generated
   */
  EEnum getFrequency();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  MethodNameFactory getMethodNameFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.ModelImpl <em>Model</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.ModelImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getModel()
     * @generated
     */
    EClass MODEL = eINSTANCE.getModel();

    /**
     * The meta object literal for the '<em><b>Declarations</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MODEL__DECLARATIONS = eINSTANCE.getModel_Declarations();

    /**
     * The meta object literal for the '<em><b>Fixed Declarations</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MODEL__FIXED_DECLARATIONS = eINSTANCE.getModel_FixedDeclarations();

    /**
     * The meta object literal for the '<em><b>Rules</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MODEL__RULES = eINSTANCE.getModel_Rules();

    /**
     * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MODEL__ELEMENTS = eINSTANCE.getModel_Elements();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.DeclarationImpl <em>Declaration</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.DeclarationImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getDeclaration()
     * @generated
     */
    EClass DECLARATION = eINSTANCE.getDeclaration();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute DECLARATION__NAME = eINSTANCE.getDeclaration_Name();

    /**
     * The meta object literal for the '<em><b>Path</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute DECLARATION__PATH = eINSTANCE.getDeclaration_Path();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.FixedDeclarationImpl <em>Fixed Declaration</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.FixedDeclarationImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getFixedDeclaration()
     * @generated
     */
    EClass FIXED_DECLARATION = eINSTANCE.getFixedDeclaration();

    /**
     * The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FIXED_DECLARATION__KIND = eINSTANCE.getFixedDeclaration_Kind();

    /**
     * The meta object literal for the '<em><b>Path</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FIXED_DECLARATION__PATH = eINSTANCE.getFixedDeclaration_Path();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.RuleImpl <em>Rule</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.RuleImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getRule()
     * @generated
     */
    EClass RULE = eINSTANCE.getRule();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RULE__NAME = eINSTANCE.getRule_Name();

    /**
     * The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RULE__KIND = eINSTANCE.getRule_Kind();

    /**
     * The meta object literal for the '<em><b>Decls</b></em>' reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference RULE__DECLS = eINSTANCE.getRule_Decls();

    /**
     * The meta object literal for the '<em><b>Comp Op</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RULE__COMP_OP = eINSTANCE.getRule_CompOp();

    /**
     * The meta object literal for the '<em><b>Comp Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RULE__COMP_VALUE = eINSTANCE.getRule_CompValue();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.CaseImpl <em>Case</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.CaseImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getCase()
     * @generated
     */
    EClass CASE = eINSTANCE.getCase();

    /**
     * The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute CASE__KIND = eINSTANCE.getCase_Kind();

    /**
     * The meta object literal for the '<em><b>Condition</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CASE__CONDITION = eINSTANCE.getCase_Condition();

    /**
     * The meta object literal for the '<em><b>Properties</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference CASE__PROPERTIES = eINSTANCE.getCase_Properties();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.ExprImpl <em>Expr</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.ExprImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getExpr()
     * @generated
     */
    EClass EXPR = eINSTANCE.getExpr();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.GroupExprImpl <em>Group Expr</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.GroupExprImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getGroupExpr()
     * @generated
     */
    EClass GROUP_EXPR = eINSTANCE.getGroupExpr();

    /**
     * The meta object literal for the '<em><b>Has Not</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute GROUP_EXPR__HAS_NOT = eINSTANCE.getGroupExpr_HasNot();

    /**
     * The meta object literal for the '<em><b>Expr</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference GROUP_EXPR__EXPR = eINSTANCE.getGroupExpr_Expr();

    /**
     * The meta object literal for the '<em><b>Card</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute GROUP_EXPR__CARD = eINSTANCE.getGroupExpr_Card();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.PropertyImpl <em>Property</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.PropertyImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getProperty()
     * @generated
     */
    EClass PROPERTY = eINSTANCE.getProperty();

    /**
     * The meta object literal for the '<em><b>Frequency</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute PROPERTY__FREQUENCY = eINSTANCE.getProperty_Frequency();

    /**
     * The meta object literal for the '<em><b>Criterion</b></em>' reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference PROPERTY__CRITERION = eINSTANCE.getProperty_Criterion();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.OrImpl <em>Or</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.OrImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getOr()
     * @generated
     */
    EClass OR = eINSTANCE.getOr();

    /**
     * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference OR__LEFT = eINSTANCE.getOr_Left();

    /**
     * The meta object literal for the '<em><b>Right</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference OR__RIGHT = eINSTANCE.getOr_Right();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.AndImpl <em>And</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.AndImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getAnd()
     * @generated
     */
    EClass AND = eINSTANCE.getAnd();

    /**
     * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference AND__LEFT = eINSTANCE.getAnd_Left();

    /**
     * The meta object literal for the '<em><b>Concat Kind</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute AND__CONCAT_KIND = eINSTANCE.getAnd_ConcatKind();

    /**
     * The meta object literal for the '<em><b>Right</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference AND__RIGHT = eINSTANCE.getAnd_Right();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.StringConstImpl <em>String Const</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.StringConstImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getStringConst()
     * @generated
     */
    EClass STRING_CONST = eINSTANCE.getStringConst();

    /**
     * The meta object literal for the '<em><b>Has Not</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute STRING_CONST__HAS_NOT = eINSTANCE.getStringConst_HasNot();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute STRING_CONST__VALUE = eINSTANCE.getStringConst_Value();

    /**
     * The meta object literal for the '<em><b>Card</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute STRING_CONST__CARD = eINSTANCE.getStringConst_Card();

    /**
     * The meta object literal for the '<em><b>Sentiment</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute STRING_CONST__SENTIMENT = eINSTANCE.getStringConst_Sentiment();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.POSValueImpl <em>POS Value</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.POSValueImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getPOSValue()
     * @generated
     */
    EClass POS_VALUE = eINSTANCE.getPOSValue();

    /**
     * The meta object literal for the '<em><b>Has Not</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute POS_VALUE__HAS_NOT = eINSTANCE.getPOSValue_HasNot();

    /**
     * The meta object literal for the '<em><b>Pos</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute POS_VALUE__POS = eINSTANCE.getPOSValue_Pos();

    /**
     * The meta object literal for the '<em><b>Card</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute POS_VALUE__CARD = eINSTANCE.getPOSValue_Card();

    /**
     * The meta object literal for the '<em><b>Sentiment</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute POS_VALUE__SENTIMENT = eINSTANCE.getPOSValue_Sentiment();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.impl.SynonymConstImpl <em>Synonym Const</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.impl.SynonymConstImpl
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getSynonymConst()
     * @generated
     */
    EClass SYNONYM_CONST = eINSTANCE.getSynonymConst();

    /**
     * The meta object literal for the '<em><b>Has Not</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SYNONYM_CONST__HAS_NOT = eINSTANCE.getSynonymConst_HasNot();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SYNONYM_CONST__VALUE = eINSTANCE.getSynonymConst_Value();

    /**
     * The meta object literal for the '<em><b>Card</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SYNONYM_CONST__CARD = eINSTANCE.getSynonymConst_Card();

    /**
     * The meta object literal for the '<em><b>Sentiment</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SYNONYM_CONST__SENTIMENT = eINSTANCE.getSynonymConst_Sentiment();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.Kind <em>Kind</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.Kind
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getKind()
     * @generated
     */
    EEnum KIND = eINSTANCE.getKind();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.Sentiment <em>Sentiment</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.Sentiment
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getSentiment()
     * @generated
     */
    EEnum SENTIMENT = eINSTANCE.getSentiment();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.POS <em>POS</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.POS
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getPOS()
     * @generated
     */
    EEnum POS = eINSTANCE.getPOS();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.CardinalityModifier <em>Cardinality Modifier</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.CardinalityModifier
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getCardinalityModifier()
     * @generated
     */
    EEnum CARDINALITY_MODIFIER = eINSTANCE.getCardinalityModifier();

    /**
     * The meta object literal for the '{@link org.xtext.example.methodname.methodName.Frequency <em>Frequency</em>}' enum.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.example.methodname.methodName.Frequency
     * @see org.xtext.example.methodname.methodName.impl.MethodNamePackageImpl#getFrequency()
     * @generated
     */
    EEnum FREQUENCY = eINSTANCE.getFrequency();

  }

} //MethodNamePackage
